import { request, uploads } from "@/utils/request";

/**
 * @待办事项列表查询接口
 */
export function mobileScheduleList(param) {
  return request({
    url: "/service-fire/demFireReform/mobileScheduleList",
    method: "GET",
    data: param,
  });
}

/**
 * @去整改
 */
export function updateMobileReformStatus(param) {
  return request({
    url: "/service-fire/demFireReform/updateMobileReformStatus?reformId=" + param.reformId,
    method: "PUT",
  });
}

/**
 * @图片上传
 */
export function uploadAvatar(data) {
  return uploads({
    url: "/service-file/upload",
    name: data.name,
    filePath: data.filePath,
  });
}

/**
 * @待办事项上传整改资料
 */
export function addReformMaterial(param) {
  return request({
    url: "/service-fire/demFireReform/addReformMaterial",
    method: "POST",
    data: param,
  });
}
